## pkg-perl-tools 0.5

=== Makefile ===
#!/usr/bin/make
# vim: noet ft=make


.PHONY: all
all:

PREFIX = usr
SCRIPTS := $(filter-out lib,$(notdir $(wildcard scripts/*)))
SCRIPT_LIBS := $(notdir $(wildcard scripts/lib/*))
BINS := $(notdir $(wildcard bin/*))
BIN_MANUALS := $(addsuffix .1,$(BINS))
CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')

MAN_DIR := $(PREFIX)/share/man/man1
MAN5_DIR := $(PREFIX)/share/man/man5

INSTALLED_SCRIPTS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/,$(SCRIPTS))
INSTALLED_SCRIPT_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,$(filter-out posix-lib.sh,$(SCRIPTS))))
INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co))
INSTALLED_SCRIPT_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/,$(SCRIPT_LIBS))
INSTALLED_BINS := $(addprefix $(DESTDIR)/$(PREFIX)/bin/,$(BINS))
INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))

INSTALL := install -D -m 0644
INSTALL_BIN := install -D -m 0755
POD2MAN := pod2man --release="pkg-perl-tools $(VERSION)" -c "Debian Perl packaging Tools"

.PHONY: install
install: $(INSTALLED_SCRIPTS) $(INSTALLED_SCRIPT_MANUALS) \
    $(INSTALLED_SCRIPT_ALIAS_MANUALS) \
    $(INSTALLED_SCRIPT_LIBS) \
    $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
    $(INSTALLED_CONF_MANUALS) \
    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES)

$(DESTDIR)/$(MAN_DIR) \
$(DESTDIR)/$(MAN5_DIR) \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
$(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl :
	$(INSTALL) -d -m 0755 $@

$(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
	$(INSTALL_BIN) $< $@

$(DESTDIR)/$(MAN_DIR)/dpt-co.1:
	ln -s dpt-checkout.1 $@

$(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "dpt-$*" $< > $@

$(INSTALLED_SCRIPT_LIBS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/% : scripts/lib/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib
	$(INSTALL) $< $@

$(INSTALLED_BINS) : $(DESTDIR)/$(PREFIX)/bin/% : bin/%
	$(INSTALL_BIN) $< $@
	sed -i 's,DPT__SCRIPTS=scripts # REPLACED.*,DPT__SCRIPTS="/$(PREFIX)/share/pkg-perl-tools",' $@

$(INSTALLED_BIN_MANUALS) : $(DESTDIR)/$(MAN_DIR)/%.1 : bin/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "$*" $< > $@

$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/% : lintian/checks/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
	$(POD2MAN) -n "$*" --section 5 $< > $@

.PHONY: clean
clean:

test:
	for f in `find bin scripts -maxdepth 1 -type f`; do \
	    if head -1 $$f | grep -q bin/perl; then \
		perl -c $$f || exit 1; \
	    elif head -1 $$f |grep -q python; then \
		echo "python script $$f not checked"; \
	    elif head -1 $$f |grep -q bash; then \
		bash -n $$f && echo "$$f bash script OK" || exit 1; \
	    else \
		sh -n $$f && echo "$$f shell script OK" || exit 1; \
	    fi \
	done
	prove -l
	-prove -l --ext .st
