=== debian/changelog ===
pkg-perl-tools (0.5) unstable; urgency=low

  [ gregor herrmann ]
  * dpt-takeover: call `dpt alioth-repo' instead of the removed alioth-
    git-repo script in the repo.
  * dpt-dch-note: POD fix. Add newlines to avoid wrapping of the items.

  [ Damyan Ivanov ]
  * small indentation fix in POD

  [ gregor herrmann ]
  * Add libconfig-model-dpkg-perl to Recommends.
    Needed by at least dpt-gen-itp, and only suggested by
    libconfig-model-perl.

  [ Axel Beckert ]
  * Allow multiple packages as parameter to "dpt checkout".
  * Update POD of "dpt checkout" to mention "dpt co" and the directory
    changing feature.
  * Add (open)ssh-client to Depends.
    Needed by all commands which create or modify git repositories on Alioth.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Fix typo in POD of scripts/push.
  * dpt checkout: Only change directory if only one package has been
    checked out
  * Make "dpt push" honor debian-tag, debian-branch, upstream-tag, and
    upstream-branch settings from .gbp.conf, debian/gbp.conf, and
    .git/gbp.conf.
  * Add debian/gbp.conf to document non-gbp-standard tag syntax.

  [ gregor herrmann ]
  * Add new dpt-debian-upstream script:
    convert META.{json,yml} to debian/upstream.
  * Add libyaml-libyaml-perl to Build-Depends and Recommends.
    Needed by dpt-debian-upstream.
  * Add new upstream-repo script:
    add upstream Git repository as git remote.
  * Add libdebian-copyright-perl to Recommends. Used by dpt-upstream-repo.
  * Add new dpt-import-orig script:
    git-import-orig wrapper with upstream tracking support.
  * Add information about new scripts to debian/copyright.
  * Mention new scripts in dpt(1).

  * Update URL of repack.sh in examples/repack.stub.
  * Add build dependency on spell checkers. Needed by t/spelling.st.
  * Add more stopwords to t/spelling.st.

  [ Axel Beckert ]
  * Backwards-compatible transition from git-import-* to gbp-import-*

  [ Salvatore Bonaccorso ]
  * mass-commit: Replace use of vasks.debian.org with git.debian.org
  * rename-uploader: Replace use of vasks.debian.org with git.debian.org

  [ gregor herrmann ]
  * dpt-takeover: use dpt-push after running dpt-packagecheck.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Jan 2014 00:12:06 +0200

pkg-perl-tools (0.4) unstable; urgency=low

  [ Damyan Ivanov ]
  * document dpt-config
  * fix section on dpt-config references
  * install man5/
  * fix dpt-config.pod name

  [ Salvatore Bonaccorso ]
  * Add reference for dpt-alioth-repo to dpt POD

  [ Damyan Ivanov ]
  * recommend libmodule-inspector-perl
  * add a 'push' subcommand

 -- Damyan Ivanov <dmn@debian.org>  Sun, 20 Oct 2013 19:36:22 +0300

pkg-perl-tools (0.3) unstable; urgency=low

  [ gregor herrmann ]
  * Add new lintian checks: libmodule-build-(tiny-)perl need to be in
    Build-Depends, not in Build-Depends-Indep, since they are used in the
    clean target.

  [ Damyan Ivanov ]
  * add "dpt cd" sub-command
  * provide 'dpt co' as a shortcut for 'dpt checkout'
  * provide bash-specific cleanup in dpt()
  * implement 'dpt gc' -- 'git gc' over all packages

 -- Damyan Ivanov <dmn@debian.org>  Sun, 22 Sep 2013 20:47:08 +0300

pkg-perl-tools (0.2) unstable; urgency=low

  [ gregor herrmann ]
  * Install examples into binary package.
  * Install README about lintian profile.

  [ Axel Beckert ]
  * Run, but ignore spelling tests. Move libtest-spelling-perl from
    Build-Conflicts to Build-Depends. Rename spelling.t to spelling.st and
    ignore the result of all .st tests.
  * Mention lintian checks copyright in debian/copyright
  * Mention gregoa in debian/copyright for debian/*, too
  * Add .mailmap to properly attribute commits made under different
    committer names
  * t/spelling.st: Add some more stop-words and "M-x sort-lines" them

  [ Damyan Ivanov ]
  * add 'dpt checkout' script
  * dpt: read configuration
  * propagate DPT_* settings to child processes
  * report the location of the checkout
  * sort sub-commands alphabetically in dpt(1)

  [ Salvatore Bonaccorso ]
  * patchedit: Avoid given/when construct.
  * Formatting cleanup for patchedit script
  * patchedit: Avoid smartmatching operator ~~
  * Add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Fri, 06 Sep 2013 22:00:09 +0300

pkg-perl-tools (0.1) unstable; urgency=low

  * Initial release (Closes: #719291)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 26 Aug 2013 22:55:31 +0300
