=== debian/control ===
Source: pkg-perl-tools
Section: devel
Priority: extra
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
 Axel Beckert <abe@debian.org>,
 gregor herrmann <gregoa@debian.org>,
 Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 9~),
 git,
 libconfig-model-perl,
 libdatetime-perl,
 libipc-run-perl,
 libmime-lite-perl,
 libparse-debianchangelog-perl,
 libproc-invokeeditor-perl,
 librt-client-rest-perl,
 libsoap-lite-perl,
 libtest-pod-perl,
 libtest-spelling-perl,
 libwww-mechanize-perl,
 libyaml-libyaml-perl,
 perl,
 spell | aspell | ispell | hunspell
Standards-Version: 3.9.5
Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git

Package: pkg-perl-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 debhelper,
 devscripts,
 dh-make-perl,
 git,
 git-buildpackage,
 libdatetime-perl,
 libipc-run-perl,
 libparse-debianchangelog-perl,
 libproc-invokeeditor-perl,
 librt-client-rest-perl,
 lintian (>= 2.5.12~),
 openssh-client | ssh-client,
 pristine-tar,
 quilt
Recommends: myrepos | mr,
 libconfig-model-perl,
 libconfig-model-dpkg-perl,
 libdebian-copyright-perl,
 libmime-lite-perl,
 libmodule-inspector-perl,
 libsoap-lite-perl,
 libwww-mechanize-perl,
 libyaml-libyaml-perl
Suggests: bc,
 cdbs,
 moreutils,
 perl-depends,
 python,
 python-launchpadlib
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks.
