## pkg-perl-tools 0.13

=== debian/changelog ===
pkg-perl-tools (0.13) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest/smoke: use xvfb-run if available.
    If debian/rules uses xvfb-run for the test suite, it will be in the build
    dependencies and therefore present in the test chroot.
  * autopkgtest/smoke: copy the full directory structure of test-files.
    If the listed files are in a subdirectory, we want the subdirectory to be
    copied too rather than having the files end up in the main target
    directory.
  * autopkgtest/smoke: create a full dummy blib directory structure.
    This makes 'use blib' work rather than throw an error.
  * autopkgtest/smoke: Create a dummy file under blib/lib/ to appease some
    test suites.
    This placates tests that try to assemble a list of files to test in the
    source tree and croak if they can't find any.
  * autopkgtest/syntax: Skip the test for packages with soft dependencies.
    The package might have modules that need Suggested packages.
    We don't want to keep track of those manually, so skip the test altogether
    for such packages.
  * autopkgtest/runner: ignore .proverc files in tested packages.
  * autopkgtest/runner: save the exit code from failed tests
  * autopkgtest: new test type runtime-deps-and-recommends, needed by
    syntax.t.
    This is for tests that need to be run with Recommendations installed.
    Currently the only such test is syntax.t, moved over from the runtime-deps
    side.

  [ gregor herrmann ]
  * Update Makefile for the new autopkgtest test set.
    Install the new runtime-deps-and-recommends.d/ directory and its contents.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Sep 2014 23:39:54 +0200

pkg-perl-tools (0.12) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Use dpkg-parsechangelog --show-field calls
  * Add (Build-)Depends on dpkg-dev (>= 1.17.0)
    dpkg 1.17.0 introduced the --show-version flag for dpkg-parsechangelog.

  [ Niko Tyni ]
  * autopkgtest runner: Support disabling standard tests per package.
    Don't run tests that have corresponding files under debian/tests/pkg-
    perl/SKIP in the package.

  [ gregor herrmann ]
  * dpt-debian-upstream: don't add Homepage to debian/upstream/metadata.
    The field was demoted to "not recommended" in the UMEGAYA
    specification, since it duplicates the Homepage field in
    debian/control.

  [ Axel Beckert ]
  * Don't emit no-module-name-in-description if no Perl module named like
    the package is found. Reduces false positives for oddly named module
    distributions.
  * "make test" now also checks syntax of .pm files (i.e. lintian checks)

  [ gregor herrmann ]
  * autopkg-test: smoke test: create empty $TDIR/blib directory.
    Otherwise Test::Pod's all_pod_files{,_ok} tests fail if the find neither a
    blib/ nor a lib/ directory. With the empty blib/, the tests are
    effectively skipped which is better than failing them.
  * Add build dependency on lintian, required by new tests.
  * Update debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Sep 2014 23:20:21 +0200

pkg-perl-tools (0.11) unstable; urgency=medium

  [ Axel Beckert ]
  * Add an adequate based autopkgtest test script to pkg-perl-autopkgtest.
  * Fix typos in previous changelog entry
  * Extend long description of pkg-perl-autopkgtest. Fixes lintian warning
    extended-description-is-probably-too-short.

  [ Niko Tyni ]
  * Add a missing dependency on "perl" to the pkg-perl-autopkgtest package.
    perl is needed for at least prove and Test::More.
  * Add a test runner that checks the syntax of all the perl modules on @INC.
  * Make the autopkgtest runner invoke prove -v on *.t files
  * Add a test runner that tries to 'use' the main module in the package.

  [ gregor herrmann ]
  * autopkgtest: implement a generic test runner framework that runs test
    scripts in *.d subdirectories. (See README.autopkgtest)
  * autopkgtest: pkg-perl-autopkgtest now Provides: pkg-perl-autopkgtest-heavy.
  * autopkgtest: move adequate test to examples.
  * dpt-import-orig: handle versions with epoch when calling dch.

  [ Salvatore Bonaccorso ]
  * import-orig: Create changelog entry after importing new upstream version
  * upstream-repo: Create changelog entry after adding debian/upstream/metadata

  [ Dominic Hargreaves ]
  * Team upload

 -- Dominic Hargreaves <dom@earth.li>  Sun, 31 Aug 2014 19:37:28 -0700

pkg-perl-tools (0.10) unstable; urgency=medium

  [ gregor herrmann ]
  * Lintian checks: escape < and > in usr-lib-perl5-mentioned description.

  [ Salvatore Bonaccorso ]
  * mass-commit: Use git checkout instead of git co
  * Update Vcs-Browser URL to cgit web frontend

  [ David Bremner ]
  * scripts:/upstream-repo:
    - tighten regexp for grabbing URL from debian/upstream/metadata
    - use "git ls-remote" to probe URLs
  * scripts/import-orig:
    - add default value for DPT_RM_TARGZ
    - collapse two cases of tag guessing
    - improve handling of missing tags under "set -e"
    - tidy handling of different import scripts

  [ gregor herrmann ]
  * scripts/upstream-repo:
    - add -g option.
      Don't git add/commit debian/upstream/metadata.
    - update copyright notice

  [ Damyan Ivanov ]
  * add a lintian check that the main module name is present in the long
    description
  * dpt checkout: hook 'dpt upstream-repo' if debian/upstream/metadata
    contains repository information

  [ Damyan Ivanov ]
  * dpt checkout: fetch upstream remote if already present
  * dpt upstream-repo: fetch upstream remote

  [ pkg-perl@DebConf Outdoor Hacklab Group ]
  * Add new binary package pkg-perl-autopkgtest
    to collect autopkgtest scripts.
  * Add first autopkgtest test script which uses prove.
  * Add copyright/license information for new autopkgtest/* files.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 Aug 2014 21:17:49 -0700

pkg-perl-tools (0.9) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-forward: don't include "Forwarded: " line in patch forwarding

