=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
  gregor herrmann <gregoa@debian.org>,
  Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9~),
+ dpkg-dev (>= 1.17.0),
  git,
  libconfig-model-perl,
  libdatetime-perl,
+ libdpkg-perl,
  libipc-run-perl,
+ libfile-slurp-perl,
  libmime-lite-perl,
+ libnet-github-perl,
  libparse-debianchangelog-perl,
  libproc-invokeeditor-perl,
  librt-client-rest-perl,
@@ -20,12 +24,13 @@
  libtest-spelling-perl,
  libwww-mechanize-perl,
  libyaml-libyaml-perl,
+ lintian,
  perl,
  spell | aspell | ispell | hunspell
 Standards-Version: 3.9.5
 Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
 
 Package: pkg-perl-tools
 Architecture: all
@@ -33,9 +38,11 @@
  debhelper,
  devscripts,
  dh-make-perl,
+ dpkg-dev (>= 1.17.0),
  git,
  git-buildpackage,
  libdatetime-perl,
+ libdpkg-perl,
  libipc-run-perl,
  libparse-debianchangelog-perl,
  libproc-invokeeditor-perl,
@@ -48,13 +55,16 @@
  libconfig-model-perl,
  libconfig-model-dpkg-perl,
  libdebian-copyright-perl,
+ libfile-slurp-perl,
  libmime-lite-perl,
  libmodule-inspector-perl,
+ libnet-github-perl,
  libsoap-lite-perl,
  libwww-mechanize-perl,
  libyaml-libyaml-perl
 Suggests: bc,
  cdbs,
+ duck,
  moreutils,
  perl-depends,
  python,
@@ -69,3 +79,15 @@
  packaged tools the Debian Perl Group uses.
  .
  It also includes some Debian Perl Group specific lintian checks.
+
+Package: pkg-perl-autopkgtest
+Architecture: all
+Depends: perl, ${misc:Depends}
+Provides: pkg-perl-autopkgtest-heavy
+Description: collection of autopktest scripts for Perl packages
+ This package contains test runners to be used with the autopkgtest
+ infrastructure for perl packages.
+ .
+ Packages using the tests with autopkgtests in this package need to
+ depend on it in their debian/tests/control file, not in their
+ debian/control file.
