## pkg-perl-tools 0.19

=== debian/changelog ===
pkg-perl-tools (0.19) unstable; urgency=medium

  * Fix traversing the wrong directory in lintian/checks/…/module-name.pm
    (Closes: #763891) Thanks Niels Thykier!

 -- Axel Beckert <abe@debian.org>  Fri, 03 Oct 2014 20:15:02 +0200

pkg-perl-tools (0.18) unstable; urgency=medium

  [ Niko Tyni ]
  * Add basic lintian checks for Testsuite: autopkgtest-pkg-perl

  [ Axel Beckert ]
  * Update our lintian checks for lintian 2.5.28's API (Closes: #763204)
    + (Build-)Depends on lintian >= 2.5.28~
  * Fix lintian warning missing-testsuite-header (see above ;-)

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Oct 2014 00:36:49 +0200

pkg-perl-tools (0.17) unstable; urgency=medium

  * autopkgtest/smoke:
    + survive empty t/ directories
    + don't run test.pl with prove
    + skip t/04critic.t and t/97meta.t by default
  * autopkgtest/syntax: process packages with Suggestions if there's a skip list
  * autopkgtest: update README to reflect current practice

 -- Niko Tyni <ntyni@debian.org>  Sun, 21 Sep 2014 21:30:40 +0300

pkg-perl-tools (0.16) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest/smoke: support comments and empty lines in test-files
  * autopkgtest/smoke: skip tests listed in debian/tests/pkg-perl/skip-smoke
  * autopkgtest/smoke: skip t/boilerplate.t, t/pod.t, and t/pod-coverage.t
    by default

  [ Axel Beckert ]
  * Add an "Enhances: lintian" header to since it contains lintian checks.
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Niko Tyni <ntyni@debian.org>  Thu, 18 Sep 2014 23:11:29 +0300

pkg-perl-tools (0.15) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/mass-commit:
    - add -s to proposed mr push
    - update copyright notice

  [ Niko Tyni ]
  * autopkgtest/smoke: set AUTOMATED_TESTING and NONINTERACTIVE_TESTING
  * autopkgtest/smoke: also use test.pl if present
  * autopkgtest/smoke: don't recurse into subdirectories of t/
  * autopkgtest/smoke: don't overwrite MANIFEST* if they exist

  [ Axel Beckert ]
  * Avoid symlink attacks lintian/checks/…/{usr-lib-perl5,xs-abi}.pm. Also
    fixes Perl warnings in lintian/checks/pkg-perl/usr-lib-perl5.pm if
    debian/$file is a symlink pointing outside the debian directory.
  * Add lintian check for wrong section and package name when packaging
    applications.
  * Mention in package description that the contained lintian checks need
    to be enabled explicitly.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Sep 2014 19:51:33 +0200

pkg-perl-tools (0.14) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest: 
    - move debian/tests/test-files under debian/tests/pkg-perl/
    - move debian/tests/module-name under debian/tests/pkg-perl/
    This is to unify the pkg-perl test configuration. We fall back to the
    old locations for now.
  * autopkgtest: make syntax.t skip files listed in d/t/pkg-perl/skip-
    syntax.
  * autopkgtest: add a new example file "default-tests-control".
    This can be copied over to the package source tree and edited when
    necessary.
  * autopkgtest: install a more complete dummy module for POD checkers.
  * autopkgtest/smoke: remove the temporary directory after tests.
  * autopkgtest/smoke: create dummy MANIFEST and MANIFEST.SKIP files.
    This placates some test suites that insist on author tests.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Sep 2014 20:56:34 +0200
