=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Axel Beckert <abe@debian.org>,
  gregor herrmann <gregoa@debian.org>,
- Salvatore Bonaccorso <carnil@debian.org>
+ Salvatore Bonaccorso <carnil@debian.org>,
+ Niko Tyni <ntyni@debian.org>
 Build-Depends: debhelper (>= 9~),
  dpkg-dev (>= 1.17.0),
  git,
@@ -24,13 +25,14 @@
  libtest-spelling-perl,
  libwww-mechanize-perl,
  libyaml-libyaml-perl,
- lintian,
+ lintian (>= 2.5.28~),
  perl,
  spell | aspell | ispell | hunspell
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/pkg-perl-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: pkg-perl-tools
 Architecture: all
@@ -47,7 +49,7 @@
  libparse-debianchangelog-perl,
  libproc-invokeeditor-perl,
  librt-client-rest-perl,
- lintian (>= 2.5.12~),
+ lintian (>= 2.5.28~),
  openssh-client | ssh-client,
  pristine-tar,
  quilt
@@ -69,6 +71,7 @@
  perl-depends,
  python,
  python-launchpadlib
+Enhances: lintian
 Description: collection of tools to aid packaging Perl modules in Debian
  The Debian Perl Group works on packaging Perl modules for Debian. This
  collection contains the tools which help the group with day-to-day work, like
@@ -78,7 +81,9 @@
  Additionally it depends on, recommends or suggests separately
  packaged tools the Debian Perl Group uses.
  .
- It also includes some Debian Perl Group specific lintian checks.
+ It also includes some Debian Perl Group specific lintian checks. Add
+ "LINTIAN_PROFILE=pkg-perl" to your ~/.lintianrc to use them after
+ installing this package.
 
 Package: pkg-perl-autopkgtest
 Architecture: all
