=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest
+
 %:
 	dh $@ 
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x $(APT)/* $(APT)/*/*
