## pkg-perl-tools 0.24

=== debian/changelog ===
pkg-perl-tools (0.24) unstable; urgency=medium

  * Remove checks which moved to lintian from pkg-perl profile.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Aug 2015 16:38:23 +0200

pkg-perl-tools (0.23) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix patchedit to not expect a file in $PATH as $EDITOR but to support
    $EDITOR to contain commandline options.
  * Move application-not-library, modulebuild, no-perl-modules, and
    usr-lib-perl5 lintian checks to lintian proper.
  * Rewrite module-name check (tag no-module-name-in-description) as
    binary check and integrate it into lintian's description check as tag
    perl-module-name-not-mentioned-in-description.
  * Recommend lintian >= 2.5.36 for the checks which used to be in the
    pkg-perl-tools package.

  [ gregor herrmann ]
  * examples/check-build: use mergechanges for sourceless uploads instead
    of manually messing with the .changes file.
  * examples/check-build: add stanza for running adt-run (with schroot and
    a chroot named/aliased to "default").

 -- Axel Beckert <abe@debian.org>  Fri, 14 Aug 2015 22:39:18 +0200

pkg-perl-tools (0.22) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-takeover: update documentation to use of gbp-import-dscs.

  [ Salvatore Bonaccorso ]
  * Document dpt-forward in dpt commands listing

  [ Axel Beckert ]
  * gen-itp:
    + Use Perl 5.10 feature "say" instead of the local sub "p" which does
      the same.
    + Nicer output formatting.
    + Whitespace cleanup.
    + Output the sentence "The package will be maintained under the
      umbrella of the Debian Perl Group." behind the package description
      if the maintainer is set to the Debian Perl Group.
  * Try to fool autodep8 into thinking it's a EU::MM based test suite.
    + Add no-op Makefile.PL. debhelper doesn't seem to be fooled by that,
      probably because a Makefile already exists.
    + Hardcode build system in debian/rules as "Makefile" anyway to be
      safe against future debhelper changes.

 -- Axel Beckert <abe@debian.org>  Sat, 08 Aug 2015 16:31:40 +0200

pkg-perl-tools (0.21) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * examples/b: Use buildpackage subcomand for gbp in case git directory
    is present

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild: initialize DEBBUILDOPTS with -d.
    This passes -d ("Do not check build dependencies and conflicts.") to
    dpkg-buildpackage.

  [ Axel Beckert ]
  * dpt-push: Also push git notes for use with Niko Tyni's git-debcherry
    variant (see #784159)
  * dpt-alioth-repo:
    + Check if a remote named "origin" already exists and if it's already
      the expected remote repository before creating a remote repository
      named "origin".
    + Proper error message if distribution name couldn't be determined.
      Read a distribution name as first parameter in that case.
  * dpt-takeover:
    + Change to use "gbp-import-dscs --debsnap" instead of "apt-get
      source" and "gbp-import-dsc".
    + set -u only after environment variable checking.
  * dpt-upstream-repo+examples/mass-commit: Use Gbp-Dch instead of Git-Dch
  * debian/copyright: Remove .mailmap stanza. It's only needed in the git
    repository and not included in the generated source package.  Silences
    lintian wrt. unused-file-paragraph-in-dep5-copyright, etc.  Lacks
    creativity anyways to validate a copyright and license.
  * lintian-checks: Also output the testsuite header's value if the tag
    nonteam-testsuite-header is emitted.

  [ gregor herrmann ]
  * dpt-import-orig: use Gbp-Dch for changelog commit message.

 -- Axel Beckert <abe@debian.org>  Wed, 22 Jul 2015 00:22:00 +0200

pkg-perl-tools (0.20) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-import-orig: use present tense for changelog message.
  * pkg-perl-tools: add autopkgtest and autodep8 to Recommends.
  * dpt-import-orig: also (optionally) remove tarballs named *.tgz.
  * examples/buildpackage-pdebuild:
    + add -p option which sets DEB_BUILD_OPTIONS='nostrip'
    + demote qemubuilder codepath to a commented out example
  * examples/check-build:
    + rename piuparts log file
    + update stripping of binary packages.
      Besides removing .deb lines from the .changes file, also change the
      Architecture: field.
  * Update copyright years in example scripts and debian/copyright.

  [ Salvatore Bonaccorso ]
  * Remove trailing comma in Build-Depends list
  * Don't rely on dash expanding escape sequences by default.
    Instead of using echo "\t..." use a printf call to not rely on /bin/sh
    being dash and expanding escape sequences. (Closes: #772293)
  * forward-patch: Correct typo in error message (debain -> debian)
    Thanks to Raphael Geissert <geissert@debian.org> (Closes: #772497)
  * check-build: Strip as well udebs when choosing to strip
    arch:any .debs

  [ Damyan Ivanov ]
  * dpt-push: exit with the status of the actual 'git push' command
    (Closes: #764825)
  * dpt-forward: add --force option, allowing forwarding an already
    forwarded bug/patch

  [ Ansgar Burchardt ]
  * Do not pass --force-yes to apt-get. apt's --force-yes option disables
    signature checks and therefore is a bad option to use.

  [ Axel Beckert ]
  * Replace all command calls to "gbp-something" with "gbp something" to
    support git-buildpackage ≥ 0.6.24. (Closes: #783521)

 -- Axel Beckert <abe@debian.org>  Mon, 27 Apr 2015 20:39:50 +0200
