## pkg-perl-tools 0.28

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,12 @@
 CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
 LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
 LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
-VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
+AUTOPKGTEST_SCRIPTS := $(notdir $(wildcard autopkgtest/scripts/runner))
+AUTOPKGTEST_SCRIPTS_BUILDDEPS := $(notdir $(wildcard autopkgtest/scripts/build-deps.d/*))
+AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps.d/*))
+AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps-and-recommends.d/*))
+AUTOPKGTEST_SCRIPTS_HEAVYDEPS := $(notdir $(wildcard autopkgtest/scripts/heavy-deps.d/*))
+VERSION := $(shell dpkg-parsechangelog --show-field Version)
 
 MAN_DIR := $(PREFIX)/share/man/man1
 MAN5_DIR := $(PREFIX)/share/man/man5
@@ -26,6 +31,11 @@
 INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
 INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
 INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
+INSTALLED_AUTOPKGTEST_SCRIPTS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/, $(AUTOPKGTEST_SCRIPTS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/, $(AUTOPKGTEST_SCRIPTS_BUILDDEPS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS))
+INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/, $(AUTOPKGTEST_SCRIPTS_HEAVYDEPS))
 INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))
 
 INSTALL := install -D -m 0644
@@ -38,13 +48,23 @@
     $(INSTALLED_SCRIPT_LIBS) \
     $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
     $(INSTALLED_CONF_MANUALS) \
-    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES)
+    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) \
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS)
 
 $(DESTDIR)/$(MAN_DIR) \
 $(DESTDIR)/$(MAN5_DIR) \
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
 $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
-$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl :
+$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d \
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d :
 	$(INSTALL) -d -m 0755 $@
 
 $(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
@@ -72,6 +92,21 @@
 $(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
 	$(INSTALL) $< $@
 
+$(INSTALLED_AUTOPKGTEST_SCRIPTS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/% : autopkgtest/scripts/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/% : autopkgtest/scripts/build-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/% : autopkgtest/scripts/runtime-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/% : autopkgtest/scripts/runtime-deps-and-recommends.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d
+	$(INSTALL) $< $@
+
+$(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/% : autopkgtest/scripts/heavy-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d
+	$(INSTALL) $< $@
+
 $(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
 	$(POD2MAN) -n "$*" --section 5 $< > $@
 
@@ -90,5 +125,8 @@
 		sh -n $$f && echo "$$f shell script OK" || exit 1; \
 	    fi \
 	done
+	for f in `find . -name '*.pm' -type f`; do \
+	    perl -c $$f || exit 1; \
+	done
 	prove -l
 	-prove -l --ext .st
