=== debian/changelog ===
pkg-perl-tools (0.28) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * packagecheck: Use https transport protocol in Vcs-Git URI.
    If a missing Vcs-Git field is found, then add the URI using the https
    transport protocol instead of git.

  [ Christopher Hoskin ]
  * Add support for smoke-cleanup script. Closes: #813307
  * Remove redundant second PDIR=`pwd` from smoke
  * Document new smoke-cleanup feature in autopkgtest/README.autopkgtest

  [ gregor herrmann ]
  * Add new copyright holder for autopkgtest/.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.7.
  * debian/control: use HTTPS for Vcs-Git URL.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Feb 2016 15:45:49 +0100

pkg-perl-tools (0.27) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild: drop '-d' from DEBBUILDOPTS.
    The parameter is added by pdebuild itself now.
  * examples/check-build: new option to strip all binary packages from the
    .changes file, with fallback option to only strip arch:any ones.
    Thanks to Salvatore Bonaccorso for coming up with this elegant patch.

  [ Niko Tyni ]
  * autopkgtest/smoke:
    + export TDIR for the smoke-setup script as documented
    + ignore stderr from test.pl

 -- Niko Tyni <ntyni@debian.org>  Mon, 12 Oct 2015 13:58:51 +0300

pkg-perl-tools (0.26) unstable; urgency=medium

  * Rename autopkgtest configuration files, with a fallback to the old names.
    (Closes: #799487)
  * Make it possible to override the prove --merge option by unsetting
    PKG_PERL_PROVE_ARGS in smoke-env. (Closes: #799444)
  * Support executing debian/tests/pkg-perl/smoke-setup as a last resort.
    (Closes: #799486)

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Sep 2015 22:20:51 +0300

pkg-perl-tools (0.25) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * check-build: Check as well for udebs when striping arch:any debs

  [ Florian Schlichting ]
  * checkout: fetch debcherry notes if there are any, until fixed gbp is available

  [ Damyan Ivanov ]
  * Add more things to do to the TODO list

  [ Niko Tyni ]
  * Add support for debian/tests/pkg-perl/env-smoke (Closes: #763541)

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Sep 2015 15:38:04 +0300
