=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest
 
 %:
-	dh $@ 
+	# The build system is hard-coded to make sure debhelper
+	# doesn't fall for the trick which is intended to fool
+	# autodep8. See the fake Makefile.PL for details.
+	dh $@ --buildsystem=makefile
 
 override_dh_fixperms:
 	dh_fixperms
