## pkg-perl-tools 0.33

=== debian/changelog ===
pkg-perl-tools (0.33) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-import-orig: don't explicitly run `git fetch upstream-repo'.
    This is already handled by dpt-upstream-repo. Additionally call
    dpt-upstream-repo with '-u' to update the URL of the remote.
  * examples/buildpackage-pdebuild: add '-a' switch for setting
    dpkg-buildpackage's -A option.
  * examples/pbuilder-hooks/*iptables: add logging and dmesg output.
    This helps to detect attempts to connect to the internet during build.

  [ Niko Tyni ]
  * autopkgtest/smoke: add the test directory to @INC due to perl changes.
    See https://lists.debian.org/debian-devel-announce/2016/08/msg00013.html

 -- Niko Tyni <ntyni@debian.org>  Fri, 02 Sep 2016 12:01:29 +0300

pkg-perl-tools (0.32) unstable; urgency=medium

  [ intrigeri ]
  * check-build: adjust to new location of the QEMU autopkgtest
    virtualization helper. This is needed with autopkgtest 4.0+.

  [ gregor herrmann ]
  * examples/check-build: update to work with adt-run and autopkgtest.
  * scripts/upstream-repo: add -u (update) option to change the URL of the
    Git remote 'upstream-repo' in the local clone.
  * patchedit: don't claim that ./debian/patches can be left out when it
    can't.
  * patchedit: always set Last-Update to the mtime of the patch file when
    in fix mode.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Jul 2016 15:05:22 +0200

pkg-perl-tools (0.31) unstable; urgency=medium

  [ gregor herrmann ]
  * scripts/forward: change YAML::XS loading/usage

  [ Axel Beckert ]
  * Treat a "dpt import-orig" parameter as orig tar ball and pass it
    instead of "--uscan" to "gbp import-orig". Needed if a newer upstream
    release has a (from dpkg's point of view) lower version number.

  [ gregor herrmann ]
  * scripts/debian-upstream:
    - only replace URLs for existing keys. Avoids a warning about
      uninitialized values. Closes: #826226
    - add another URL replacement (http://github.com/)

  [ Alex Muntada ]
  * scripts/github-oauth:
    - build default note-text as documented
    - add note regarding 2FA
    - remove AUTHORS section
  * Add alexm copyright for scripts/github-oauth

  [ gregor herrmann ]
  * scripts/forward: return result from detect_tracker_url() sub.

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Jun 2016 16:07:13 +0200

pkg-perl-tools (0.30) unstable; urgency=medium

  * Upload from the Debian Perl Team Sprint in Zürich

  [ gregor herrmann ]
  * examples/check-build:
    - add --no-tag-display-limit to lintian call
    - add --warn-on-debsums-errors to piuparts call
    - show adt-run result with /usr/bin/notify-send
  * script/forward: remove AUTHORS section.
    Duplication of the LICENSE/COPYRIGHT section.
  * Add alexm to debian/copyright for scripts/forward.
  * Switch some more URLs in debian/* to HTTPS.

  [ Alex Muntada ]
  * Remove scripts/forward-{bug,patch}
  * scripts/forward:
    - Warn about default address only when using mail
    - Search for distribution name in debian/upstream/metadata
  * scripts/debian-upstream:
    - Search for Bug-Database in debian/upstream/metadata
    - Switch links to https

  [ Niko Tyni ]
  * Remove outdated arch-any-package-needs-newer-debhelper lintian warning

  [ Axel Beckert ]
  * Option -g now even no more creates debian/upstream/metadata.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 22 May 2016 20:43:40 +0200

pkg-perl-tools (0.29) unstable; urgency=medium

  * pkg-perl-autopkgtest/build-deps.d/smoke now also supports
    debian/tests/pkg-perl/smoke-tests to list which tests should be run by
    prove instead of the default "t/*.t".

 -- Axel Beckert <abe@debian.org>  Fri, 22 Apr 2016 00:14:47 +0200
