=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
                lintian (>= 2.5.28~),
                perl,
                spell | aspell | ispell | hunspell
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pkg-perl-tools.git
-Homepage: http://wiki.debian.org/Teams/DebianPerlGroup
+Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
 
 Package: pkg-perl-tools
 Architecture: all
